r2_mf_rx_state_s Struct Reference

`#include <bell_r2_mf.h>`

## Public Attributes

tone_report_func_t | callback
void * | callback_data
int | fwd
goertzel_state_t | out [6]
int | current_sample
int | current_digit

## Detailed Description

MFC/R2 tone detector descriptor.

## Member Data Documentation

## callback

tone_report_func_t r2_mf_rx_state_s::callback

Optional callback funcion to deliver received digits.

Referenced by r2_mf_rx(), and r2_mf_rx_init().

## callback_data

void* r2_mf_rx_state_s::callback_data

An opaque pointer passed to the callback function.

Referenced by r2_mf_rx(), and r2_mf_rx_init().

## current_digit

int r2_mf_rx_state_s::current_digit

The currently detected digit.

Referenced by r2_mf_rx(), r2_mf_rx_get(), and r2_mf_rx_init().

## current_sample

int r2_mf_rx_state_s::current_sample

The current sample number within a processing block.

Referenced by r2_mf_rx(), and r2_mf_rx_init().

## fwd

int r2_mf_rx_state_s::fwd

TRUE is we are detecting forward tones. FALSE if we are detecting backward tones

Referenced by r2_mf_rx_init().

## out

goertzel_state_t r2_mf_rx_state_s::out[6]

Tone detector working states

Referenced by r2_mf_rx(), and r2_mf_rx_init().

The documentation for this struct was generated from the following file:

- private/bell_r2_mf.h